summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Andrzej Telszewski <atelszewski@gmail.com>2010-05-11 22:55:21 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:21 +0200
commit0687c9cad908a1f4ab35ec5144c296d93653f8b2 (patch)
tree0f909b2749452b963f6e493a34a28b64f7d1abe8 /system
parent3136932f6339062353daadd5892ea6d2916c68fd (diff)
downloadslackbuilds-0687c9cad908a1f4ab35ec5144c296d93653f8b2.tar.gz
slackbuilds-0687c9cad908a1f4ab35ec5144c296d93653f8b2.tar.xz
system/microcode_ctl: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/microcode_ctl/README21
-rw-r--r--system/microcode_ctl/microcode_ctl.SlackBuild42
-rw-r--r--system/microcode_ctl/microcode_ctl.info8
-rw-r--r--system/microcode_ctl/slack-desc19
4 files changed, 90 insertions, 0 deletions
diff --git a/system/microcode_ctl/README b/system/microcode_ctl/README
new file mode 100644
index 0000000000..4ab6a69276
--- /dev/null
+++ b/system/microcode_ctl/README
@@ -0,0 +1,21 @@
+Intel Microcode Update Utility for Linux
+
+The microcode_ctl utility is a companion to the IA32 microcode driver written
+by Tigran Aivazian <tigran@aivazian.fsnet.co.uk>. The utility has two uses:
+
+* It decodes and sends new microcode to the kernel driver to be uploaded
+ to Intel IA32 processors. (Pentium Pro, PII, PIII, Pentium 4, Celeron,
+ Xeon etc - all P6 and above, which does NOT include pentium classics).
+ It also supports processors of the x86_64 architecture.
+* It signals the kernel driver to release any buffers it may hold.
+
+The microcode update is volatile and needs to be uploaded on each system
+boot i.e. it doesn't reflash your cpu permanently, reboot and it reverts
+back to the old microcode.
+
+To use this utility you need to compile the kernel driver (found under
+"Processor type and features"). The microcode itself can be found at
+http://downloadcenter.intel.com/default.aspx and should be placed under
+/etc/microcode.dat You probably want to have your microcode updated
+each time the system boots, then call "/usr/sbin/microcode_ctl -u" from
+/etc/rc.d/rc.local
diff --git a/system/microcode_ctl/microcode_ctl.SlackBuild b/system/microcode_ctl/microcode_ctl.SlackBuild
new file mode 100644
index 0000000000..5fd4e3d0c9
--- /dev/null
+++ b/system/microcode_ctl/microcode_ctl.SlackBuild
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# Slackware build script for microcode_ctl
+# Author: Andrzej Telszewski <atelszewski@gmail.com>
+
+PRGNAM=microcode_ctl
+VERSION=1.17
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+make || exit 1
+strip --strip-unneeded microcode_ctl
+
+mkdir -p $PKG/usr/{sbin,man/man8,doc/$PRGNAM-$VERSION}
+cp microcode_ctl $PKG/usr/sbin
+cp microcode_ctl.8 $PKG/usr/man/man8
+gzip -9f $PKG/usr/man/man8/microcode_ctl.8
+cp Changelog README $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/microcode_ctl/microcode_ctl.info b/system/microcode_ctl/microcode_ctl.info
new file mode 100644
index 0000000000..241724bfda
--- /dev/null
+++ b/system/microcode_ctl/microcode_ctl.info
@@ -0,0 +1,8 @@
+PRGNAM="microcode_ctl"
+VERSION="1.17"
+HOMEPAGE="http://www.urbanmyth.org/microcode/"
+DOWNLOAD="http://www.urbanmyth.org/microcode/microcode_ctl-1.17.tar.gz"
+MD5SUM="98a7f06acef8459c8ef2a1b0fb86a99e"
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"
+APPROVED="dsomero"
diff --git a/system/microcode_ctl/slack-desc b/system/microcode_ctl/slack-desc
new file mode 100644
index 0000000000..6c381e85dc
--- /dev/null
+++ b/system/microcode_ctl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+microcode_ctl: microcode_ctl (microcode update utility)
+microcode_ctl:
+microcode_ctl: The microcode_ctl utility is a companion to the IA32 microcode driver
+microcode_ctl: written by Tigran Aivazian <tigran@aivazian.fsnet.co.uk>. The utility
+microcode_ctl: has two uses:
+microcode_ctl: - it decodes and sends new microcode to the kernel driver to be
+microcode_ctl: uploaded to Intel IA32 processors
+microcode_ctl: - it signals the kernel driver to release any buffers it may hold
+microcode_ctl:
+microcode_ctl:
+microcode_ctl: http://www.urbanmyth.org/microcode/